Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface TPMBaseMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  AuthenticationMBean, BindingMBean, BulkLoaderMBean, CertificateMBean, EBXMLBindingMBean, ExtendedPropertySetMBean, FailureMBean, RosettaNetBindingMBean, RosettaNetServiceDefaultMBean, ServiceMBean, ServiceProfileMBean, TradingPartnerMBean, TradingPartnerMgmtMBean, TransportMBean, WebServiceBindingMBean

public interface TPMBaseMBean
extends weblogic.management.configuration.ConfigurationMBean

This class represents the base for all the MBeans.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `fromXML(String xmlString)` Take XML representation of a child MBean and its children
`Object` | `getDelegateObject()` Internal Use Only - The internal object for this Bean
`boolean` | `isActive()` Internal Use Only - Is the Mbea active or in use.
`void` | `publish(int publishType, int eventType)` publishes an update event across the cluster 'publishType' allows for deep or shallow or refresh update events and 'eventType' is the event to be published Internal Use Only - The internal object for this Bean
`void` | `remove()` Internal Use Only - Removes its children
`void` | `setActive(boolean bool)`
`void` | `setDelegateObject(Object object)` Internal Use Only - The internal object for this Bean
`String` | `toXML()` Specifies the xml representation of an MBean object.
`String` | `toXMLInternal(boolean useNamespace, boolean deepFetch)` Specifies the xml representation of an MBean object.
`void` | `update()` This method will persist the modification/changes made on the attributes of an MBean to the configured datastore.
`void` | `updateInternal(int publishType)` Update functionality is similar to the 'update' method cluster-wide update propagation will happen based on publishType value Internal Use Only - The internal object for this Bean

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### update

    public void update()
                throws UpdateException,
                       ObjectActiveException

  This method will persist the modification/changes made on the attributes of an MBean to the configured datastore. The method must be called after any modifications are made on an MBean object.

  If multiple modifications are made on a MBean object, then to batch the updates, call this method at the end of the modifications. However, you can cannot persist multiple object with one update call. update call must be made on each object individually.

  Throws:
    `UpdateException`
    `ObjectActiveException`

### updateInternal

    public void updateInternal(int publishType)
                        throws UpdateException,
                               ObjectActiveException

  Update functionality is similar to the 'update' method cluster-wide update propagation will happen based on publishType value Internal Use Only - The internal object for this Bean

  Throws:
    `UpdateException`
    `ObjectActiveException`

### publish

    public void publish(int publishType,
                        int eventType)
                 throws ManagementException

  publishes an update event across the cluster 'publishType' allows for deep or shallow or refresh update events and 'eventType' is the event to be published Internal Use Only - The internal object for this Bean

  Throws:
    `ManagementException`

### toXMLInternal

    public String toXMLInternal(boolean useNamespace,
                                boolean deepFetch)
                         throws ManagementException

  Specifies the xml representation of an MBean object. The output xml is in conformance to the TPM XML schema. Internal Use Only - The internal object for this Bean

  Throws:
    `ManagementException`

### toXML

    public String toXML()
                 throws ManagementException

  Specifies the xml representation of an MBean object. The output xml is in conformance to the TPM XML schema.

  Throws:
    `ManagementException`

### fromXML

    public void fromXML(String xmlString)
                 throws ManagementException

  Take XML representation of a child MBean and its children

  Throws:
    `ManagementException`

### getDelegateObject

    public Object getDelegateObject()

  Internal Use Only - The internal object for this Bean

### setDelegateObject

    public void setDelegateObject(Object object)

  Internal Use Only - The internal object for this Bean

  Parameters:
    `object` - - Delegate Object

### setActive

    public void setActive(boolean bool)

### isActive

    public boolean isActive()
                     throws ManagementException

  Internal Use Only - Is the Mbea active or in use.

  Throws:
    `ManagementException`

### remove

    public void remove()
                throws DeleteException

  Internal Use Only - Removes its children

  Throws:
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD